View account and credit overview

Get a summary of your account details, including your name, email, and country. It also shows if you have any available credit with us. This is useful for a quick overview of your status upon login or in an account section.

Billing & Payments Billing

Context

Used in the dashboard

/billing

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.country string · enum required · Example: SE
AR
DE
GB
KZ
PH
RS
RU
SE
TR
data.credit string · enum required · Example: 0.00
0.00
136.00
673.83
data.email string required · Example: [email protected]
data.name string required · Example: Anna Svensson
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

401
code string required · Example: UNAUTHORIZED

Machine-readable error code.

error string required · Example: Unauthorized

HTTP status title (e.g. 'Bad Request').

message string required · Example: Authentication required

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/billing/account-summary
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/billing/account-summary" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "credit": "0.00",
    "email": "[email protected]",
    "name": "Anna Svensson",
    "country": "SE"
  }
}